summaryrefslogtreecommitdiff
path: root/net-im/centerim
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /net-im/centerim
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'net-im/centerim')
-rw-r--r--net-im/centerim/centerim-9999.ebuild121
l---------net-im/centerim/files1
2 files changed, 122 insertions, 0 deletions
diff --git a/net-im/centerim/centerim-9999.ebuild b/net-im/centerim/centerim-9999.ebuild
new file mode 100644
index 0000000..3633acd
--- /dev/null
+++ b/net-im/centerim/centerim-9999.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-im/centerim/centerim-4.22.6.ebuild,v 1.1 2008/11/07 23:20:28 swegener Exp $
+
+inherit eutils git
+
+PROTOCOL_IUSE="aim gadu icq irc jabber lj msn rss yahoo"
+IUSE="${PROTOCOL_IUSE} bidi nls ssl crypt jpeg otr"
+
+DESCRIPTION="CenterIM is a fork of CenterICQ - a ncurses ICQ/Yahoo!/AIM/IRC/MSN/Jabber/GaduGadu/RSS/LiveJournal Client"
+SRC_URI=""
+HOMEPAGE="http://www.centerim.org/"
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+
+EGIT_REPO_URI="git://repo.or.cz/centerim.git"
+EGIT_BOOTSTRAP="./autogen.sh"
+
+DEPEND=">=sys-libs/ncurses-5.2
+ bidi? ( dev-libs/fribidi )
+ ssl? ( >=dev-libs/openssl-0.9.6g )
+ jpeg? ( media-libs/jpeg )
+ jabber? (
+ otr? ( net-libs/libotr )
+ crypt? ( >=app-crypt/gpgme-1.0.2 )
+ )
+ msn? (
+ net-misc/curl
+ dev-libs/openssl
+ )"
+
+RDEPEND="${DEPEND}
+ nls? ( sys-devel/gettext )"
+
+S="${WORKDIR}"/${P/_p*}
+
+check_protocol_iuse() {
+ local flag
+
+ for flag in ${PROTOCOL_IUSE}
+ do
+ use ${flag} && return 0
+ done
+
+ return 1
+}
+
+pkg_setup() {
+ if ! check_protocol_iuse
+ then
+ eerror
+ eerror "Please activate at least one of the following protocol USE flags:"
+ eerror "${PROTOCOL_IUSE}"
+ eerror
+ die "Please activate at least one protocol USE flag!"
+ fi
+
+ if use msn && ! built_with_use net-misc/curl ssl
+ then
+ eerror
+ eerror "As of right now, the msn use flags requires curl to be built"
+ eerror "with SSL support. Make sure ssl is in your USE flags and"
+ eerror "re-emerge net-misc/curl."
+ eerror
+ die "net-misc/curl dependencie issue"
+ fi
+
+ if use otr && ! use jabber
+ then
+ eerror
+ eerror "Support for OTR is only supported with Jabber!"
+ eerror
+ die "Support for OTR is only supported with Jabber!"
+ fi
+
+ if use gadu && ! use jpeg
+ then
+ ewarn
+ ewarn "You need jpeg support to be able to register Gadu-Gadu accounts!"
+ ewarn
+ fi
+}
+
+src_unpack() {
+ git_src_unpack
+ cd "${S}"
+
+ # Don't execute git commands, bug #228151
+# cat >"${S}"/misc/git-version-gen <<-EOF
+ #!/bin/sh
+# echo -n "${PVR}"
+# EOF
+}
+
+src_compile() {
+ econf \
+ $(use_with ssl) \
+ $(use_enable aim) \
+ $(use_with bidi fribidi) \
+ $(use_with jpeg libjpeg) \
+ $(use_with otr libotr) \
+ $(use_enable gadu gg) \
+ $(use_enable icq) \
+ $(use_enable irc) \
+ $(use_enable jabber) \
+ $(use_enable lj) \
+ $(use_enable msn) \
+ $(use_enable nls locales-fix) \
+ $(use_enable nls) \
+ $(use_enable rss) \
+ $(use_enable yahoo) \
+ || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install () {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ dodoc AUTHORS ChangeLog FAQ README THANKS TODO
+}
diff --git a/net-im/centerim/files b/net-im/centerim/files
new file mode 120000
index 0000000..57fd4f6
--- /dev/null
+++ b/net-im/centerim/files
@@ -0,0 +1 @@
+/var/paludis/repositories/gentoo/net-im/centerim/files \ No newline at end of file